Results 1 to 2 of 2

Thread: BUG! - VS2008SP1+RWSS10.1 - RWUXTheme - wrong CRT version

  1. #1
    Junior Member
    Join Date
    Apr 2008
    Posts
    1

    Exclamation BUG! - VS2008SP1+RWSS10.1 - RWUXTheme - wrong CRT version

    Hello!

    I am trying to compile RWUXTheme-project ( configuration: "Stingray Lib MFC DLL Release (a)" or unicode )
    - as a result - RWUXThemeA90.lib - is dependent on 9.0.21022.8 version of CRT.

    Expected that it should be 9.0.30729.1

    What should I do to remove this dependency (looks like this static library is used for generation *.dll - so all of them will have mixed CRT-runtime becuase of this static-.LIB)? Don't?

    WBR,
    Yuriy

  2. #2

    Re: BUG! - VS2008SP1+RWSS10.1 - RWUXTheme - wrong CRT version

    If you use Stingray 10.1, you just have to include into the project SupportedPlatforms.h , where we have on line 298:
    #define _BIND_TO_CURRENT_VCLIBS_VERSION 1

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •